---
- name: 獲取 Linux 主機資訊
  hosts: all  
  gather_facts: yes  

  tasks:
    - name: 輸出操作系统版本
      debug:
        var: ansible_distribution + " " + ansible_distribution_version

    - name: 輸出主機名稱
      debug:
        var: ansible_hostname
      register: hostname

    - name: 輸出 IP
      debug:
        var: ansible_default_ipv4.address

    - name: 輸出 CPU
      debug:
        var: ansible_processor
      register: CPU

    - name: 輸出 RAM
      debug:
        var: ansible_memory_mb
    
    - name: Insert Info into MSSQL
      community.general.mssql_script:
        db: ansibletest  # 替换为数据库名称
        login_host: 10.1.3.102  # 如果与MSSQL服务器不在同一主机，请更改
        login_port: 1433
        login_user: sa  # 替换为MSSQL用户名
        login_password: Passw0rd  # 替换为MSSQL密码
        script: |
          INSERT INTO computer_info (hostname, CPU) VALUES ('{{ hostname }}', '{{ CPU }}');
